%define upstream_name	 Crypt-DSA
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    DSA Signatures and Key Generation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%upstream_name
Source0:    https://cpan.metacpan.org/modules/by-module/Cryp:/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Crypt-DSA-1.17-CVE-2011-3599.patch
Patch1:         Crypt-DSA-1.17-Fix-building-on-Perl-without-dot-in-INC.patch
# https://rt.cpan.org/Ticket/Display.html?id=49668

BuildRequires: perl(Data::Buffer) >= 0.10.0
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which) >= 0.50.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt) >= 1.780.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildArch:  noarch

%description
Crypt::DSA is an implementation of the DSA (Digital
Signature Algorithm) signature verification system.
The implementation itself is pure Perl, although the
heavy-duty mathematics underneath are provided by the
Math::Pari library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.170.0-13.mga9
+ Revision: 1811817
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.170.0-12.mga8
+ Revision: 1528994
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 1.170.0-11.mga8
+ Revision: 1432800
- rebuild with perl-5.30

* Thu Sep 20 2018 umeabot <umeabot> 1.170.0-10.mga7
+ Revision: 1282550
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.170.0-9.mga7
+ Revision: 1163599
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.170.0-8.mga7
+ Revision: 1154234
- Fix building on Perl without . in @INC

* Sat Jun 18 2016 pterjan <pterjan> 1.170.0-7.mga6
+ Revision: 1024514
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.170.0-6.mga6
+ Revision: 937969
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.170.0-5.mga5
+ Revision: 742582
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.170.0-4.mga5
+ Revision: 684038
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.170.0-3.mga4
+ Revision: 536593
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 1.170.0-2.mga4
+ Revision: 484853
- CVE-2011-3599

* Sun Jan 13 2013 umeabot <umeabot> 1.170.0-2.mga3
+ Revision: 364840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 1.170.0-1.mga2
+ Revision: 111640
- update to 1.17

* Tue Jan 25 2011 jquelin <jquelin> 1.160.0-1.mga1
+ Revision: 38538
- fix build error, due to openssl dsaparam output format change (upstream#49668)
- mageia rebuild
- imported package perl-Crypt-DSA


* Mon Sep 14 2009 Jérôme Quelin <jquelin@mandriva.org> 1.160.0-1mdv2010.0
+ Revision: 439607
- adding missing buildrequires:
- update to 1.16

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.0
+ Revision: 406925
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.14-5mdv2009.0
+ Revision: 256260
- rebuild

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-3mdv2008.1
+ Revision: 138076
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-2mdv2007.0
- fix source URL

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2007.0
- New release 0.14
- spec cleanup
- fix directory ownership

* Tue Jun 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.13-1mdk
- 0.13. Slow to test, but works.

* Tue Jun 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.12-4mdk
- spec cleanup (not ready for 0.13 yet)

* Wed Feb 09 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.12-3mdk
- rebuild for new perl

* Tue Nov 11 2003 Michael Scherer <scherer.michael@free.fr> 0.12-2mdk
- BuildRequires ( perl-Crypt-Random, perl-Digest-SHA1 )

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.12-1mdk
- New package

